Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367469 - [abrt] linphone: sal_address_as_string(): linphone killed by SIGSEGV
Summary: [abrt] linphone: sal_address_as_string(): linphone killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: linphone
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: nucleo
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2d7c78de1cf7aec79d1740c52b6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 13:27 UTC by Carl Ramirez
Modified: 2016-12-20 21:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 21:21:29 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-16 13:28 UTC, Carl Ramirez
no flags Details
File: cgroup (deleted)
2016-08-16 13:28 UTC, Carl Ramirez
no flags Details
File: core_backtrace (deleted)
2016-08-16 13:28 UTC, Carl Ramirez
no flags Details
File: dso_list (deleted)
2016-08-16 13:28 UTC, Carl Ramirez
no flags Details
File: environ (deleted)
2016-08-16 13:28 UTC, Carl Ramirez
no flags Details
File: exploitable (deleted)
2016-08-16 13:28 UTC, Carl Ramirez
no flags Details
File: limits (deleted)
2016-08-16 13:28 UTC, Carl Ramirez
no flags Details
File: maps (deleted)
2016-08-16 13:28 UTC, Carl Ramirez
no flags Details
File: mountinfo (deleted)
2016-08-16 13:28 UTC, Carl Ramirez
no flags Details
File: namespaces (deleted)
2016-08-16 13:28 UTC, Carl Ramirez
no flags Details
File: open_fds (deleted)
2016-08-16 13:28 UTC, Carl Ramirez
no flags Details
File: proc_pid_status (deleted)
2016-08-16 13:28 UTC, Carl Ramirez
no flags Details
File: var_log_messages (deleted)
2016-08-16 13:28 UTC, Carl Ramirez
no flags Details

Description Carl Ramirez 2016-08-16 13:27:54 UTC
Version-Release number of selected component:
linphone-3.6.1-10.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        linphone
crash_function: sal_address_as_string
executable:     /usr/bin/linphone
global_pid:     22195
kernel:         4.6.5-200.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 sal_address_as_string at sal_eXosip2.c:2546
 #1 linphone_gtk_notify at main.c:1122
 #2 linphone_gtk_call_state_changed at main.c:1247
 #3 linphone_call_set_state at linphonecall.c:712
 #4 sal_iterate at sal_eXosip2.c:1316
 #7 linphone_core_iterate at linphonecore.c:2106
 #8 linphone_gtk_iterate at main.c:557
 #14 gtk_main at gtkmain.c:1268

Comment 1 Carl Ramirez 2016-08-16 13:28:00 UTC
Created attachment 1191279 [details]
File: backtrace

Comment 2 Carl Ramirez 2016-08-16 13:28:02 UTC
Created attachment 1191280 [details]
File: cgroup

Comment 3 Carl Ramirez 2016-08-16 13:28:03 UTC
Created attachment 1191281 [details]
File: core_backtrace

Comment 4 Carl Ramirez 2016-08-16 13:28:06 UTC
Created attachment 1191282 [details]
File: dso_list

Comment 5 Carl Ramirez 2016-08-16 13:28:07 UTC
Created attachment 1191283 [details]
File: environ

Comment 6 Carl Ramirez 2016-08-16 13:28:09 UTC
Created attachment 1191284 [details]
File: exploitable

Comment 7 Carl Ramirez 2016-08-16 13:28:11 UTC
Created attachment 1191285 [details]
File: limits

Comment 8 Carl Ramirez 2016-08-16 13:28:13 UTC
Created attachment 1191286 [details]
File: maps

Comment 9 Carl Ramirez 2016-08-16 13:28:15 UTC
Created attachment 1191287 [details]
File: mountinfo

Comment 10 Carl Ramirez 2016-08-16 13:28:17 UTC
Created attachment 1191288 [details]
File: namespaces

Comment 11 Carl Ramirez 2016-08-16 13:28:18 UTC
Created attachment 1191289 [details]
File: open_fds

Comment 12 Carl Ramirez 2016-08-16 13:28:20 UTC
Created attachment 1191290 [details]
File: proc_pid_status

Comment 13 Carl Ramirez 2016-08-16 13:28:22 UTC
Created attachment 1191291 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2016-11-25 09:30:45 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2016-12-20 21:21:29 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.